Register or refresh a browser web session.
POST
/v1/auth/web-session
const url = 'https://api.share2.us/v1/auth/web-session';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"client_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.share2.us/v1/auth/web-session \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "client_id": "example" }'Exempt from X-Session-Id enforcement so a freshly authenticated browser can establish its web session. If the account is at its web-session cap, returns 403 device_limit_reached with a short-lived session_manage_token that is accepted only by the session list/revoke routes.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Client-Id
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
client_id
string
Examplegenerated
{ "client_id": "example"}Responses
Section titled “Responses”Web session registered.
Media typeapplication/json
object
session_id
required
string format: uuid
expires_at
required
string format: date-time
Examplegenerated
{ "session_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expires_at": "2026-04-15T12:00:00Z"}Web session limit reached; scoped session-management token included.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
session_manage_token
required
HMAC-signed token scoped to session list/revoke only.
string
expires_in
required
integer
Example
{ "error": { "code": "quota_exceeded" }, "expires_in": 600}default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}